CurveDependentStepCondition< array_type > Class Template Reference

`#include <ql/methods/finitedifferences/stepcondition.hpp>`

Inheritance diagram for CurveDependentStepCondition< array_type >:
[legend]

## Public Member Functions

void | applyTo (Array &a, Time) const
Public Member Functions inherited from StepCondition< array_type >
virtual void | applyTo (array_type &a, Time t) const =0

## Protected Member Functions

| CurveDependentStepCondition (Option::Type type, Real strike)
| CurveDependentStepCondition (const Payoff *p)
| CurveDependentStepCondition (const array_type &a)
Real | getValue (const array_type &a, Size index) const
virtual Real | applyToValue (Real, Real) const

## Protected Attributes

ext::shared_ptr< CurveWrapper > | curveItem_

## Detailed Description

### template<class array_type>
class QuantLib::CurveDependentStepCondition< array_type >

Abstract base class which allows step conditions to use both payoff and array functions.

Deprecated:
  Inherit from StepCondition directly instead. Deprecated in version 1.19.